Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transport
Interface DestinationFactoryManager

    public interface DestinationFactoryManager

The DestinationFactoryManager provides an interface to register and retrieve transport factories.

Method Summary
`void` | `deregisterDestinationFactory(java.lang.String name)` Unregister a `DestinationFactory`.
`DestinationFactory` | `getDestinationFactory(java.lang.String name)` Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.
`DestinationFactory` | `getDestinationFactoryForUri(java.lang.String uri)`
`void` | `registerDestinationFactory(java.lang.String name, DestinationFactory factory)` Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.

Method Detail

### registerDestinationFactory

    void registerDestinationFactory(java.lang.String name,
                                    DestinationFactory factory)

  Associates a name, often a URI, with a `DestinationFactory` when registering with the `Bus`'s `TransportRegistry`.

  Parameters:
    `name` - A string containing the name used to identify the `DestinationFactory`
    `factory` - The `DestinationFactory` to be registered.

### deregisterDestinationFactory

    void deregisterDestinationFactory(java.lang.String name)

  Unregister a `DestinationFactory`.

  Parameters:
    `name` - A string containing the name of the `DestinationFactory`.

### getDestinationFactory

    DestinationFactory getDestinationFactory(java.lang.String name)
                                             throws BusException

  Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.

  Parameters:
    `name` -
  Returns:
    the registered `DestinationFactory`
  Throws:
    `BusException`

### getDestinationFactoryForUri

    DestinationFactory getDestinationFactoryForUri(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF